/*
 * Copyright (C) 2013  Joakim Soderlund
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package vispaca.gui;

import java.awt.Frame;

import javax.swing.JPanel;

import vispaca.event.DestroyListener;


/**
 * Base class for panels which are required to handle destroy events.
 */
@SuppressWarnings("serial")
public abstract class VPanel extends JPanel implements DestroyListener {

	protected Frame frame;

	public VPanel(Frame frame) {
		this.frame = frame;
	}
}
